# 1. Verwende Java 17 JDK als Base Image
FROM eclipse-temurin:17-jdk-alpine

# 2. Arbeitsverzeichnis
WORKDIR /app

# 3. Kopiere das JAR (Pfad siehe unten)
COPY build/libs/MyTimeTracker-0.0.1-SNAPSHOT.jar app.jar

# 4. Port freigeben
EXPOSE 8080

# 5. Startbefehl
ENTRYPOINT ["java", "-jar", "app.jar"]